Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
GETBare Metal Management OperationsSince 3.4.0SynchronousAuth Required

QueryBaremetalBonding

QueryBaremetalBonding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The network bonding UUID.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • nameStringRequired

      The name of the bonded NIC.

    • modeIntegerRequired

      The network bonding mode.

    • slavesStringRequired

      The bonded slave MAC addresses. Each MAC address is separated by a comma (,).

    • optsStringRequired

      The network bonding options.

    • createDateTimestampRequired

      The time when the network bonding was created.

    • lastOpDateTimestampRequired

      The time when the network bonding was last modified.

Endpoint

GET/zstack/v1/baremetal/network/bondings

/zstack/v1/baremetal/network/bondings

Operation ID

QueryBaremetalBonding

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal/network/bondings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "6880ed37f7ce4381ae611fd6965696fd", "chassisUuid": "59c92fcd611241eb9f55f4b721a62883", "name": "bond0", "mode": 1.0, "slaves": "d4:ae:52:6e:d1:0d,d4:ae:52:6e:d1:04", "opts": "miimon=100", "createDate": "Jan 8, 2019 3:05:44 PM", "lastOpDate": "Jan 8, 2019 3:05:44 PM" } ] }

Change History

This API has no change history records yet.

View all change history